Documents

Get a document

GET
/documents/{document_id}

Get one document's metadata, including the caller's current live-collaboration mode (write/read) for it.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

document_id*string

Resource identifier: document_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/documents/123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "tenant_id": "123e4567-e89b-42d3-a456-426614174000",  "workspace_id": "123e4567-e89b-42d3-a456-426614174000",  "space_id": "123e4567-e89b-42d3-a456-426614174000",  "folder_id": "123e4567-e89b-42d3-a456-426614174000",  "uploaded_by": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "name": "Customer documents"  },  "file_name": "invoice-2026-09.pdf",  "content_type": "application/pdf",  "file_size": 0,  "storage_key": "tenants/acme/customer-documents/invoice-2026-09.pdf",  "status": "PENDING_UPLOAD",  "created_at": "2026-09-04T12:00:00Z",  "doc_origin": "UPLOADED",  "live_content_type": "MARKDOWN",  "has_active_collab_session": false,  "has_content": false,  "collab_mode": "write"}